//
//  main.swift
//  TestTableViewSectionGlitch
//
//  Created by James Bamford on 29/01/2018.
//  Copyright © 2018 JB. All rights reserved.
//

import Foundation

import UIKit

// worth pointing out that these generic classes in storyboards have issues. Not least being that you cannot add unwind segues to them directly
// It doesn't think these controllers exist so cannot harvest for available segue functions to call as actions. The only solution is to have a
// suitable function available higher up the view hiearachy which is enough to let you add that as the unwind segue, then you can change the name
// of the action to fit your actual function... remembering to keep the WithSegue: on the end of the function name in the code file

// Somehow this must be injected as our Main func... the file needs to be main.swift (Main.swift doesn't work)
// Not sure how this is working, but need to add any generic viewcontrollers here like this to make them available to the Objective-C runtime
print(TableViewController.self)

// The following is required because there's an impedence mismatch between
// `CommandLine` and `UIApplicationMain` <rdar://problem/25693546>.
let argv = UnsafeMutableRawPointer(CommandLine.unsafeArgv).bindMemory(
  to: UnsafeMutablePointer<Int8>.self,
  capacity: Int(CommandLine.argc)
)
UIApplicationMain(CommandLine.argc, argv, nil, NSStringFromClass(AppDelegate.self))
